Subject: RE: issue 24

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Wed, 25 Sep 2002 17:26:42 -0400

Yakov,

> -----Original Message-----
> From: Yakov Rekhter [mailto:[email-masked]]
> Sent: Wednesday, September 25, 2002 5:19 PM
> To: Abarbanel, Benjamin
> Cc: [email-masked]
> Subject: Re: issue 24 
> 
> 
> Ben,
>  
> > > > "By *definition* a route is a <path attribute, NLRI> 
> pair. From that
> > > > definition it follows that changing one or more path 
> attributes of
> > > > a route means changing a route, which means withdrawing the old
> > > > route (route with the old attributes) from service and 
> advertising
> > > > a new route (route with the new attributes)."
> > > > 
> > > > I think we are playing with words here, 3.1a and 3.1b 
> do not address
> > > > the point as I have argued. Therefore, I am still not satisfied 
> > > > we nailed it down in the spec. 
> > > > 
> > > > As you can see I dont care for assumptions very much.
> > > > 
> > > > I would like to see this statement added somewhere in 
> section 3.1:
> > > > 
> > > > "A route's attributes can be added, modified, or deleted by 
> > > sending another
> > > >  UPDATE message with the same route and the new 
> attributes, or by
> > > > withdrawing
> > > >  the route (route with the old attributes) from service and 
> > > advertising
> > > >  a new route (same route with the new attributes)."
> > > 
> > > If it is "the same route", then *by definition* of a route it 
> > > has to be
> > > the same attributes. And if the attributes changed, then it 
> > > is no longer
> > > "the same route". With this in mind how about adding the 
> > > following to 3.1:
> > > 
> > >   Changing attribute of a route means that the route is withdrawn
> > >   from service, and a replacement route is advertised. 
> The replacement
> > >   route carries new (changed) attributes and has the same 
> NLRI as the 
> > >   route that was withdrawn.
> > > 
> > > Yakov.
> > > 
> > 
> >   Can we change the current route's attribute without 
> taking it out of
> > service (implying no possible network outage)? 
> > 
> >   If the answer is yes, than you will need an extra sentence. 
> > 
> >   If the answer is no, then I am happy with your statement.
> 
> How about the following replacement for the text I proposed above:
> 
>    Changing attribute of a route is accomplished by advertising a
>    replacement route. The replacement route carries new (changed)
>    attributes and has the same NLRI as the original route.
> 

Bingo, I think we have a winner. Sounds good.

Thanks,
Ben